package com.hw.job.api.factory;


import com.hw.common.core.domain.R;
import com.hw.job.api.RemoteJobService;
import com.hw.job.api.domain.SysJob;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.Date;

/**
 * @ClassName : RemoteDmsFallbackFactory
 * @Description :ZHOUHY
 * @Author :
 * @Date: 2024-01-30 15:53
 */
public class RemoteJobFallbackFactory implements FallbackFactory<RemoteJobService> {
    @Override
    public RemoteJobService create(Throwable throwable) {
       return new RemoteJobService(){


           @Override
           public R<Integer> add(String source, SysJob job) {
               return null;
           }

           @Override
           public SysJob selectJobList(Long planRepairId) {
               return null;
           }

           @Override
           public R<?> remove(String source, Long[] jobIds) {
               return null;
           }

           @Override
           public SysJob getJobInfo(Long jobId, String source) {
               return null;
           }

           @Override
           public R<?> update(String source, SysJob job) {
               return null;
           }


       };
    }
}
